package com.tutorialesprogramacionya.compose10

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.material.Button
import androidx.compose.material.Divider
import androidx.compose.material.OutlinedTextField
import androidx.compose.material.Text
import androidx.compose.runtime.*
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            AdministrarContactos()
        }
    }
}

data class Contacto(val nombre: String, val mail: String)

val contactos =  mutableStateListOf<Contacto>()

@Composable
fun AdministrarContactos() {
    var nombre by remember { mutableStateOf("") }
    var mail by remember { mutableStateOf("") }
    Column() {
        OutlinedTextField(value = nombre, onValueChange = {nombre = it},label={Text("Nombre de contacto")},modifier= Modifier
            .fillMaxWidth()
            .padding(5.dp))
        OutlinedTextField(value = mail, onValueChange = {mail = it},label={Text("mail")},modifier= Modifier
            .fillMaxWidth()
            .padding(5.dp))
        Button(onClick = {
            val nuevoContacto=Contacto(nombre,mail)
            contactos.add(nuevoContacto)
            nombre=""
            mail=""
        },modifier=Modifier.padding(5.dp)) {
            Text(text = "Agregar",modifier=Modifier.fillMaxWidth())
        }
        LazyColumn() {
            items (contactos) {contacto->
                MostrarContacto(contacto)
            }
        }
    }
}

@Composable
fun MostrarContacto(contacto:Contacto) {
    Text(text = contacto.nombre)
    Text(text = contacto.mail)
    Divider(modifier= Modifier
        .fillMaxWidth()
        .width(4.dp),color= Color.Black)
}